Subject: Re: Some questions concerning perl and sh
From: "Christopher Murray" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 06 Sep 2001 16:25:40 -0400

Thanks,

Thought I had installed ash, but it looks like it ain't there.  I've installed it in the past, but I just got a new machine and it 
appears I didn't install it.

As for Activestate, I figured there was no hope given that it really wants to know about DOS/Windows paths, but I guess I thought there might be a chance, however slight, that one of you might actually diagnose it to be a shell issue and some workaround therefore might be there.  At any rate, using cygwin perl won't be a problem as long there are no showstoppers which prevent me from running my, admittedly uncomplicated, scripts.

Chris

>>> Charles Wilson <[email-masked]> 09/06/01 03:59PM >>>
Christopher Murray wrote:
 > 1)  What is it about Activestate perl that prevents one from
 > accessing /usr/bin/perl
             ^^^^^^^^^^^^^ this is a cygwin path

 > -w (or c:/cygwin/usr/bin/perl, or
          ^^^^^^^^^^^^^^^^^^^^^^ so us this (*)

 > /cygdrive/c/usr/bin/perl) in the shebang line of the script when
   ^^^^^^^^^^^^^^^^^^^^^^^^ and this.

Active state perl CANNOT use cygwin paths -- only cygwin programs 
understand them.

(*) This LOOKS like a native path -- but it isn't.  /usr/bin is actually 
an empty directory.  Within cygwin, /bin is mounted ONTO /usr/bin.  But, 
if you use explorer, you'll see that the programs and files are ACTUALLY 
in c:/cygwin/bin.

 > the script is not in the cwd?  Is there any way around this (and
 > still use Activestate perl)?
 >
 > 2)  What is it about cygwin-ported perl that it must know about sh
 > when running "system"?  Where is sh.exe?  Is creating a link to
 > bash the only way to resolve this?

On unix/perl, "system" means "use the shell to execute the following 
command".  Thus, you need a shell.  (Also, you should install the ash 
package; it provides /bin/sh.

--Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/